
Name:		mint-backgrounds
Version:	1.1
Release:	%mkrel 1
Summary:	The desktop backgrounds for MDM
Group:		System/Configuration/Theme
License:	GPL-3
URL:		http://packages.linuxmint.com
Source0:	http://packages.linuxmint.com/pool/main/m/mint-backgrounds-serena/mint-backgrounds-serena_1.1.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildArch:	noarch

%description
This package contains quality desktop backgrounds (for MDM) from Mint 'Serena'
edition released by the Linux Mint project during Nov. 2016.

%prep
%setup -qc %{name}-%version -T -a 0

%build
# nothing

%install
rm -rf %{buildroot}
%{__install} -d -m755 %{buildroot}%{_datadir}/{backgrounds,wallpapers,xfce4/backdrops}

# backgrounds
cp -r mint-backgrounds-serena/backgrounds/* %{buildroot}%{_datadir}/backgrounds/
cp -r mint-backgrounds-serena/kde-wallpapers/* %{buildroot}%{_datadir}/wallpapers/
cp -r mint-backgrounds-serena/xfce4-backdrops/* %{buildroot}%{_datadir}/xfce4/backdrops/
cp -r mint-backgrounds-serena/cinnamon-background-properties %{buildroot}%{_datadir}/
cp -r mint-backgrounds-serena/gnome-background-properties %{buildroot}%{_datadir}/
cp -r mint-backgrounds-serena/mate-background-properties %{buildroot}%{_datadir}/

# fix file permissions, just in case
pushd %{buildroot}
find usr -type f -exec chmod 0644 '{}' \;
popd

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/*

%files
%doc mint-backgrounds-serena/debian/changelog
%doc mint-backgrounds-serena/debian/copyright
%{_datadir}/backgrounds/*
%{_datadir}/wallpapers/*
%{_datadir}/xfce4/backdrops/*
%{_datadir}/*-background-*/*


%changelog
* Fri Dec 29 2017 Zen Subz <techars21 at gmail dot com> - 1.1-1pclos2017
- Build for PCLinuxOS
